/**
 * Created by zhang on 2018/9/3.
 */

const express = require("express");
const router = express.Router();
const { priceInfoSummaryController } = require('../controllers/index');

module.exports = function (app) {
    router.get("/main", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.main);
    router.post("/getData", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.getData);
    router.post("/getPagingData", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.getPagingData);
    router.post("/editSummaryData", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.editSummaryData);
    router.post("/saveInSummary", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.saveInSummary);
    router.post("/aiMatch", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.aiMatch);
    router.get("/export", priceInfoSummaryController.auth, priceInfoSummaryController.init, priceInfoSummaryController.exportSummaryData);

    app.use("/priceInfoSummary", router);
};


